Bug 1016482 - Owner of some directories become root
Owner of some directories become root
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 05:00 EDT by k.morita
Modified: 2014-12-14 14:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description k.morita 2013-10-08 05:00:57 EDT
Description of problem:
When writing directories to a replicate volume, some directory owners become root.

Version-Release number of selected component (if applicable):
glusterfs-fuse-3.3.0-1.el6.x86_64
glusterfs-debuginfo-3.3.0-1.el6.x86_64
glusterfs-server-3.3.0-1.el6.x86_64
glusterfs-3.3.0-1.el6.x86_64

How reproducible:


Steps to Reproduce:
1. install the above gluster release
2. setup a new 3 replicated volume
3. write directory via NFS, user is "users"

Actual results:
Owners of some directories become "root".

[root@test01 volume]# ls -l 01/000/000/000/256
・
・
drwxr----- 2 users users 4096  Sep 28 09:31 534
drwxr----- 2 users users 4096  Sep 28 09:33 535
drwxr----- 2 users users 4096  Sep 28 09:36 536
drwxr----- 2 users users 4096  Sep 28 09:38 537
drwxr----- 2 root   root   4096  Sep 28 09:38 538
drwxr----- 2 users users 4096  Sep 28 09:44 539
drwxr----- 2 users users 4096  Sep 28 09:47 540
drwxr----- 2 users users 4096  Sep 28 09:49 541
drwxr----- 2 users users 4096  Sep 28 17:34 542


Looking all the server logs (/var/log/glusterfs/bricks/mnt-volume.log), reveals "failed to set gfid" on target directory at the correct time:

[2013-09-28 09:38:38.945510] W [posix-handle.c:529:posix_handle_soft] 0-volume-posix: symlink ../../c0/7f/c07f1d0e-3504-40b6-a1b5-a308f3c4ffb2/538 -> /mnt/volume/.glusterfs/9a/51/9a51a2a9-83e2-48e3-9f1b-15ea1a8e67da failed (File exists)
[2013-09-28 09:38:38.956158] E [posix.c:968:posix_mkdir] 0-volume-posix: setting gfid on /mnt/volume/01/000/000/000/256/538 failed
[2013-09-28 09:38:39.011693] I [server3_1-fops.c:151:server_lookup_cbk] 0-volume-server: 421116617: LOOKUP /01/000/000/000/256/538/041 (00000000-0000-0000-0000-000000000000) ==> -1 (Permission denied)
[2013-09-28 09:38:39.019862] I [server3_1-fops.c:1623:server_create_cbk] 0-volume-server: 421116619: CREATE /01/000/000/000/256/538/041 (00000000-0000-0000-0000-000000000000) ==> -1 (Permission denied)
[2013-09-28 09:38:39.098092] I [server3_1-fops.c:298:server_finodelk_cbk] 0-volume-server: 421116622: FINODELK -2 (--) ==> -1 (No such file or directory)
[2013-09-28 09:38:39.099708] I [server3_1-fops.c:298:server_finodelk_cbk] 0-volume-server: 421116625: FINODELK -2 (--) ==> -1 (No such file or directory)
[2013-09-28 09:38:39.111839] I [server3_1-fops.c:1375:server_fsync_cbk] 0-volume-server: 421116626: FSYNC -2 (--) ==> -1 (No such file or directory)

Expected results:
Owners of all directories become "users".

Additional info:
Checking sar, disk I/O is high at the correct time compared with normal time.
Comment 1 Niels de Vos 2014-11-27 09:54:34 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.